Bug 230467 - CVE-2007-1263 gnupg signed message spoofing
Summary: CVE-2007-1263 gnupg signed message spoofing
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnupg
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard: impact=important,source=corelabs,repo...
Keywords: Security
Depends On:
Blocks: CVE-2007-1263
TreeView+ depends on / blocked
 
Reported: 2007-02-28 21:47 UTC by Josh Bressers
Modified: 2008-01-28 14:16 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-03-14 15:06:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0107 normal SHIPPED_LIVE Important: gnupg security update 2007-03-14 15:06:55 UTC

Description Josh Bressers 2007-02-28 21:47:59 UTC
+++ This bug was initially created as a clone of Bug #230456 +++

CoreLabs has reported several flaws in the way gnupg verifies signed messages. 
It is possible to construct a message with injected content and it will appear
to be valid, signed content.

This flaw is most dangerous in the way many mail programs use gnupg to verify
signed and encrypted messages.

-- Additional comment from bressers@redhat.com on 2007-02-28 16:35 EST --
Created an attachment (id=148963)
Proposed patch

Comment 3 Mark J. Cox 2007-03-06 16:35:34 UTC
removing embargo, public yesterday

Comment 6 Red Hat Bugzilla 2007-03-14 15:06:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0107.html



Note You need to log in before you can comment on or make changes to this bug.